Bug 147742 - Saved unnamed stars in observation list do not get restored when the list is reloaded.
Summary: Saved unnamed stars in observation list do not get restored when the list is ...
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kstars
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-10 12:30 UTC by Carl Knight
Modified: 2008-01-27 22:48 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Knight 2007-07-10 12:30:19 UTC
Version:           1.2.5 (using KDE KDE 3.5.6)
Installed from:    Ubuntu Packages
OS:                Linux

At lmcboy's suggestion on the KStars forum, I have raised this bug report.

Save/Restore stars that are not named in the observation list. You can add them. But if you save the observation list and reload it, all of the objects named "Star" (i.e. unnamed in KStars) are gone. Save epoch, RA and DEC, and surely these to can be saved and restored in the observation list. Better still, what about providing the SAO catalog numbers, or failing that, give me the ability in the GUI (rather than having to edit the KStars data files directly) to add names, and catalog information for unnamed stars, etc. that I might wish to.
Comment 1 kstars 2008-01-18 07:49:48 UTC
SVN commit 762901 by harris:

Fixing bug #147742: You can now save objects named "star" 
to the observing list.  I have not yet implemented SAO numbers, 
or the ability to add names to objects (it would be better if 
these were filed separately as wishes).

Thanks for the report.

BUG: 147742
CCMAIL: kstars-devel@kde.org



 M  +14 -0     skycomponents/skymapcomposite.cpp  
 M  +16 -2     skycomponents/skymapcomposite.h  
 M  +20 -2     tools/observinglist.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=762901
Comment 2 Carl Knight 2008-01-19 16:33:27 UTC
I've tried to get a build working, at the moment I am focusing on 
tools/observinglist.cpp

This file is very different to what I have for my kstars 1.2 sources. The QT 
header names are all camel case for starters. Have I got the kde 4 kstars 
sources in error?

Thanks.

On Friday 18 January 2008 06:49:49 kstars@30doradus.org wrote:
[bugs.kde.org quoted mail]
Comment 3 kstars 2008-01-20 16:10:32 UTC
The CamelCase Qt headers is one of the many things that have changed
for Qt 4 and KDE4.  So, yes, you have the correct sources.  Do you
have a KDE4 environment set up already?

Thanks for your efforts!

regards,
Jason

On 19 Jan 2008 15:33:28 -0000, Carl Knight
<sleepless.knight@paradise.net.nz> wrote:
[bugs.kde.org quoted mail]
Comment 4 Carl Knight 2008-01-20 17:18:17 UTC
No KDE 4 as yet. To test these fixes I need the equivalent KDE 3/kstars 1.2 
sources.

On Sunday 20 January 2008 15:10:33 kstars@30doradus.org wrote:
[bugs.kde.org quoted mail]
Comment 5 Carl Knight 2008-01-25 20:42:20 UTC
I have tried rather unhappily to get all things kde4 working. It did not go well - not with kde4 under kubuntu (very buggy) or with kstars under the same. When I have time in the next week I will look at the kstars 1.2 sources myself and see if I can't post a patch for this issue for kstars 1.2.
Comment 6 kstars 2008-01-27 21:51:40 UTC
SVN commit 767344 by harris:

Backporting fix for bug #147742 to 3.5 branch.  In addition, I added 
a fix that allows you to save stars with only a genetive name (i.e., 
"sigma Orionis").  Prior to this fix, the greek letter was 
represented as a "?" in the observing list file, and could not be 
parsed when reopening the list.  Now, the greek letters are saved as 
ascii-letter words instead of the actual greek letter.

Will forward-port this genetive name fix to 4.0 and trunk as well.

CCBUG: 147742
CCMAIL: kstars-devel@kde.org



 M  +6 -0      kstarsdata.cpp  
 M  +1 -0      kstarsdata.h  
 M  +46 -2     tools/observinglist.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=767344
Comment 7 kstars 2008-01-27 22:48:30 UTC
SVN commit 767364 by harris:

Backporting fix for bug #147742 to 4.0 branch (allow stars named 
"star" to be saved to the observing list), and backporting a 
similar fix for stars with genetive star names (i.e., "sigma 
orionis").

CCBUG: 147742



 M  +14 -0     skycomponents/skymapcomposite.cpp  
 M  +16 -0     skycomponents/skymapcomposite.h  
 M  +33 -2     tools/observinglist.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=767364